## BASH/ZSH Autocompletion

KD has autocompletion feature for its modules. You can enable it writing the following command after install.

    kd completion install|sh

### Compiling Koding App

When you are in KD App directory, you can use `compile` command to compile the application.

    kd app compile

This will compile your application files and generate an `index.js`

### Syncing Koding App

As you know, you have FTPS for your Koding. When you want to put a file into your Koding from your computer,
you can connect to FTP.

When you create an app in your computer you can sync it with your Koding host. You should install `lftp` first.

    brew install lftp

or

    sudo apt-get install lftp

And you will be able to use that command to sync your app.

    cd yourapp.kdapp
    kd app sync

This will update your app.