###
#
#  <%= name %> Kite Server for Koding
#  Author: <%= username %> <%= mail %>
#
#  This is an example kite with two paths:
#
#    - /helloWorld
#    - /fooBar
#
###
kite           = require "kd-kite"
express        = require "express"
manifest       = require "./manifest.json"

app = express()

# This is a dummy url of the kite.
app.get '/', (req, res) ->
  res.setHeader 'Content-Type', 'text/plain'

  res.end "Hello, I'm #{manifest.name}! This is <%= name %>"

# You can call another kites in an url.
app.get '/fooBar', (req, res) ->
  res.setHeader 'Content-Type', 'text/plain'

  examplekite = kite.require "examplekite"
  examplekite.run "helloWorld", name: "<%= username %>", (err, data)->
    res.end data

app.get '*', (req, res) ->
  res.setHeader 'Content-Type', 'text/plain'

  res.end "You've requested #{req.url}, but not found."

kite.server manifest, app