###
#
#  <%= name %> Kite Server for Koding
#  Author: <%= username %> <%= mail %>
#
#  This is an example kite with two paths:
#
#    - /helloWorld
#    - /fooBar
#
###
kite           = require "kd-kite"
http           = require "http"
manifest       = require "./manifest.json"

kite.server manifest, http.createServer (req, res)->

  switch req.url
    # This is a dummy url of the kite.
    when "/"
      res.writeHead 200, 'Content-Type': 'text/plain'

      res.end "Hello, I'm #{manifest.name}! This is <%= name %>"

    # You can call another kites in an url.
    when "/fooBar"
      res.writeHead 200, 'Content-Type': 'text/plain'

      examplekite = kite.require "examplekite"
      examplekite.run "helloWorld", name: "<%= username %>", (err, data)->
        res.end data

    else
      res.writeHead 404, 'Content-Type': 'text/plain'

      res.end "You've requested #{req.url}, but not found."