###
#
#  <%= name %> Kite for Koding
#  Author: <%= username %> <%= mail %>
#
#  This is an example kite with two methods:
#
#    - helloWorld
#    - fooBar
#
###
kite     = require "kite-amqp/lib/kite-amqp/kite.coffee"
manifest = require "./manifest.json"

worker = kite.worker manifest,

  # This is a dummy method of the kite.
  helloWorld: ({name}, callback) ->
    
    return callback null, "Hello, I'm #{name}! This is <%= name %>"

  # You can call another kites.
  fooBar: (options, callback) ->

    awesomekite = kite.require "awesomekite"
    awesomekite.run "helloWorld", name: "<%= username %>", (err, result)->
      callback err, result

worker.start()